/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CtRetireDetailDto extends BaseDto {
	
	private static final long	serialVersionUID	= -4544512011191536993L;
	
	// フィールド
	private String				cityCode;										//市町村コード
	private Date				detailMonth;									//退職明細年月
	private String				cityChanges;									//異動有無
	private int					retireCount;									//退職人員
	private long				cityPayAmount;									//支払金額
	private int					cityTax;										//市町村税
	private int					prefectureTax;									//道府県税
																				
	
	/**
	 * コンストラクタ
	 */
	public CtRetireDetailDto() {
		super();
	}
	
	// アクセサメソッド
	public String getCityCode() {
		return cityCode;
	} // 市町村コード
	
	public Date getDetailMonth() {
		return getDateField(detailMonth);
	} // 退職明細年月
	
	public String getCityChanges() {
		return cityChanges;
	} // 異動有無
	
	public int getRetireCount() {
		return retireCount;
	} // 退職人員
	
	public long getCityPayAmount() {
		return cityPayAmount;
	} // 支払金額
	
	public int getCityTax() {
		return cityTax;
	} // 市町村税
	
	public int getPrefectureTax() {
		return prefectureTax;
	} // 道府県税
	
	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	} // 市町村コード
	
	public void setDetailMonth(Date detailMonth) {
		this.detailMonth = getDateField(detailMonth);
	} // 退職明細年月
	
	public void setCityChanges(String cityChanges) {
		this.cityChanges = cityChanges;
	} // 異動有無
	
	public void setRetireCount(int retireCount) {
		this.retireCount = retireCount;
	} // 退職人員
	
	public void setCityPayAmount(long cityPayAmount) {
		this.cityPayAmount = cityPayAmount;
	} // 支払金額
	
	public void setCityTax(int cityTax) {
		this.cityTax = cityTax;
	} // 市町村税
	
	public void setPrefectureTax(int prefectureTax) {
		this.prefectureTax = prefectureTax;
	} // 道府県税	
}
